Skip to main content
`Ctrl`+`K`

# SNESNewtonTRSetFallbackType

Set the type of fallback to use if the solution of the trust region subproblem is outside the radius

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonTRSetFallbackType(SNES snes, SNESNewtonTRFallbackType ftype)

## Input Parameters

- snes - the nonlinear solver object

- ftype - the fallback type, see `SNESNewtonTRFallbackType`

## See Also

SNES: Nonlinear Solvers, `SNESNEWTONTR`, `SNESNewtonTRPreCheck()`, `SNESNewtonTRGetPreCheck()`, `SNESNewtonTRSetPreCheck()`, `SNESNewtonTRSetPostCheck()`, `SNESNewtonTRGetPostCheck()`

## Level

intermediate

## Location

src/snes/impls/tr/tr.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages